%global pypi_name ftfy
%global github_name python-%{pypi_name}

Name:           python-%{pypi_name}
Version:        6.1.1
Release:        %autorelease
Summary:        Fixes mojibake and other glitches in Unicode text, after the fact

License:        MIT
URL:            https://github.com/rspeer/python-ftfy
Source:         %url/archive/v%{version}/%{github_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  poetry
BuildRequires:  python3-devel
BuildRequires:  python3dist(furo)
BuildRequires:  python3dist(sphinx)

%global common_description %{expand:
ftfy fixes mojibake and other glitches in Unicode text, after the fact.}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{common_description}

%package -n python-%{pypi_name}-doc
Summary:        Documentation for python-%{pypi_name}
BuildArch:      noarch

%description -n python-%{pypi_name}-doc
%{common_description}

This package is providing the documentation for %{pypi_name}.

%prep
%autosetup -p1 -n %{github_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

# generate html docs
sphinx-build-3 -b html docs/ html
# remove the sphinx-build-3 leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
rm -rfv %{buildroot}%{python3_sitelib}/*.md

%check
# Don't work in Mock
rm -rfv tests/test_cli.py
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGELOG.md README.md
%{_bindir}/ftfy

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE.txt
%license html/_static/scripts/furo.js.LICENSE.txt

%changelog
%autochangelog
